%global mod_name ldap-plugin
%global short_name ldap
%global plugin_home %{_datadir}/jenkins/webroot/WEB-INF/plugins/

Name:           jenkins-%{mod_name}
Version:        1.11
Release:        3%{?dist}
Summary:        Jenkins LDAP Plugin

# License is specified in pom.xml
License:        MIT
URL:            https://github.com/jenkinsci/ldap-plugin
Source0:        https://github.com/jenkinsci/%{mod_name}/archive/%{short_name}-%{version}.tar.gz
# Text copied from http://www.opensource.org/licenses/mit-license.php
Source1:        LICENSE.txt

BuildRequires:  maven-local
BuildRequires:  mvn(org.jenkins-ci.plugins:plugin:pom:)
BuildRequires:  mvn(org.kohsuke:access-modifier-checker)
BuildRequires:  mvn(org.jenkins-ci.main:jenkins-core)
BuildRequires:  mvn(org.jenkins-ci.plugins:junit)
BuildRequires:  mvn(org.jenkins-ci.plugins:mailer)
Requires:       jenkins-webapp >= 1.581-3

BuildArch:      noarch

%description
This package contains Jenkins plugin which provides security realm based on
LDAP authentication.


%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for 
%{name}.

%prep
%setup -q -n %{mod_name}-%{short_name}-%{version}

%pom_remove_plugin :gmaven-plugin
%pom_remove_plugin :animal-sniffer-maven-plugin

cp %{SOURCE1} .
%mvn_file ::hpi:: %{name}/%{short_name}

%build
# missing artifact for tests: "org.jenkins-ci.main:jenkins-test-harness"
%mvn_build -f

%install
install -d -m 755 %{buildroot}/%{plugin_home}
unzip -d target/%{short_name}.hpi-unpacked target/%{short_name}.hpi
pushd target/%{short_name}.hpi-unpacked/WEB-INF/lib/
  rm %{short_name}.jar && ln -s %{_javadir}/%{name}/%{short_name}.jar .
  xmvn-subst -s .
popd
pushd target/%{short_name}.hpi-unpacked/
  zip -y -r %{short_name}.hpi .
popd
mv target/%{short_name}.hpi-unpacked/%{short_name}.hpi target/
cp target/%{short_name}.hpi %{buildroot}/%{plugin_home}/
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%{plugin_home}
%doc LICENSE.txt
%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Oct 20 2014 Michal Srb <msrb@redhat.com> - 1.11-1
- Initial packaging

